Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.engine.type
Enum PositionTypeEnum

    java.lang.Object
      java.lang.Enum<PositionTypeEnum>
          net.sf.jasperreports.engine.type.PositionTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PositionTypeEnum>, JREnum

    public enum PositionTypeEnum

extends java.lang.Enum<PositionTypeEnum>
implements JREnum

Version:
  $Id: JasperCompileManager.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Enum Constant Summary
`FIX_RELATIVE_TO_BOTTOM` If the height of the parent report section is affected by elements that stretch, the current element will try to conserve the original distance between its bottom margin and the bottom of the band.
`FIX_RELATIVE_TO_TOP` The element will simply ignore what happens to the other section elements and tries to conserve the y offset measured from the top of its parent report section.
`FLOAT` The element will float in its parent section if it is pushed downwards by other elements fount above it.

Method Summary
`static PositionTypeEnum` | `getByName(java.lang.String name)`
`static PositionTypeEnum` | `getByValue(byte value)`
`static PositionTypeEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static PositionTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PositionTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FLOAT

    public static final PositionTypeEnum FLOAT

  The element will float in its parent section if it is pushed downwards by other elements fount above it. It will try to conserve the distance between it and the neighboring elements placed immediately above.

### FIX_RELATIVE_TO_TOP

    public static final PositionTypeEnum FIX_RELATIVE_TO_TOP

  The element will simply ignore what happens to the other section elements and tries to conserve the y offset measured from the top of its parent report section.

### FIX_RELATIVE_TO_BOTTOM

    public static final PositionTypeEnum FIX_RELATIVE_TO_BOTTOM

  If the height of the parent report section is affected by elements that stretch, the current element will try to conserve the original distance between its bottom margin and the bottom of the band.

Method Detail

### values

    public static PositionTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PositionTypeEnum c : PositionTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PositionTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static PositionTypeEnum getByName(java.lang.String name)

### getByValue

    public static PositionTypeEnum getByValue(java.lang.Byte value)

### getByValue

    public static PositionTypeEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com